<?php
/*
Plugin Name: ESF 1.0 Feed
Version: 1.2.1 (<a href="http://en.wikipedia.org/wiki/Christopher_Reeve">Reeve</a>)
Plugin URI: http://almaren.ch/download/wp-plugins/wp-esf/
Description: <a href="http://www.aquarionics.com/article/name/esf"><abbr title="Epistula Syndication Format">ESF</abbr></a> is a very simple feed format presented as straight text. "It isn't XML. It isn't RDF. It's just data." Released under the <a href="http://www.gnu.org/licenses/gpl.txt"><abbr title="GNU's Not Unix">GNU</abbr> <abbr title="General Public License">GPL</abbr> License</a>.
Author: Serge K. Keller
Author URI: http://almaren.ch/
*/

/*
ESF 1.0 Feed for WordPress
Copyright (C) 2004  Serge K. Keller

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/*
Installation

Simply place wp-esf.php into your wordpress directory and esf.php into your plugins directory. Don't forget to enable the plugin in wordpress' admin page.

Shake (do not stir!) and serve while it's fresh. If you are looking for a feed reader that supports ESF, you may want to give R3R (http://zooplah.dyndns.org/prog/r3r/) a whirl.

NB: You could optionally add a mod_rewrite rule for your esf feed into your .htaccess. We'll leave this as an exercise to the reader for now, but may integrate it into a future version.
*/

function esf() {
	echo '
	<link rel="alternate" type="esf/plain" title="ESF 1.0" href="'; echo get_settings('siteurl'); echo '/wp-esf.php" />
	';
}

add_action('wp_head', 'esf');

/*
This is FREE software and...

"...if it destroys your computer, rapes your pet, installs Win98 on your
toaster and microwave, stops your pacemaker, causes sexual dysfunction,
and turns your children into fucked-up trenchcoat-wearing teens carrying
guns and worshipping Hitler, don't blame me because I told you it could
do that and you went ahead and used it anyway."

--James Turinsky
(http://web.archive.org/web/20010418153836/http://projects.is.asu.edu/pipermail/slash-help/1999-October/000638.html)
*/
?>
